/// <reference types="mapkit" />
import React from 'react';
import { NumberTuple, Rect, RegionType } from './utils';
export declare type DefaultOptions = {
    visibleMapRect?: Rect;
    region?: RegionType;
    center?: NumberTuple;
    rotation?: number;
    tintColor?: string;
};
declare type ContextType = {
    map?: mapkit.Map;
    mapkit?: typeof mapkit;
};
export declare const MapkitContext: React.Context<ContextType>;
export declare const useMap: (tokenOrCallback: string, defaultOptions?: DefaultOptions) => {
    map: mapkit.Map | undefined;
    mapkit: typeof mapkit | undefined;
    MapComponent: React.FunctionComponent<{}>;
    setRotation: (rotationValue: number, isAnimated?: boolean) => void;
    setCenter: (centerValue: [number, number], isAnimated?: boolean) => void;
    setRegion: (region: RegionType, isAnimated?: boolean) => void;
    setVisibleMapRect: (visibleMapRect: [number, number, number, number], isAnimated?: boolean) => void;
};
export {};
