/// <reference types="mapkit" />
export declare type NumberTuple = [number, number];
export declare type Rect = [number, number, number, number];
export declare type PaddingType = number | mapkit.Padding;
export declare type RegionType = {
    latitude: number;
    longitude: number;
    latitudeSpan: number;
    longitudeSpan: number;
};
export declare const createPadding: (padding: PaddingType) => mapkit.Padding;
export declare const createCoordinate: (latitude: number, longitude: number) => mapkit.Coordinate;
export declare const createCoordinateSpan: (latitudeDelta: number, longitudeDelta: number) => mapkit.CoordinateSpan;
export declare const createCoordinateRegionFromValues: (region: RegionType) => mapkit.CoordinateRegion;
export declare const createCoordinateRegion: (center: mapkit.Coordinate, span: mapkit.CoordinateSpan) => mapkit.CoordinateRegion;
export declare const createMapPoint: (x: number, y: number) => mapkit.MapPoint;
export declare const createMapRect: (x: number, y: number, width: number, height: number) => mapkit.MapRect;
